use trigger_logic::scene::ELocalPlayType;

use super::ScenePerform;

pub struct FightScene {
    pub scene_id: u32,
    pub play_type: ELocalPlayType,
    pub perform: ScenePerform,
}

impl FightScene {
    pub fn get_protocol_scene_data(&self) -> trigger_protocol::SceneData {
        use trigger_protocol::*;

        SceneData {
            scene_type: 3,
            local_play_type: self.play_type.into(),
            scene_id: self.scene_id,
            fight_scene_info: Some(FightSceneInfo {
                level_perform_info: Some(LevelPerformInfo {
                    time: self.perform.time.clone(),
                    weather: self.perform.weather.clone(),
                }),
                level_reward_info: Some(LevelRewardInfo::default()),
                perform_type: 0,
                end_hollow: true,
            }),
            ..Default::default()
        }
    }
}
